CVE-2015-8325

NameCVE-2015-8325
DescriptionThe do_setup_env function in session.c in sshd in OpenSSH through 7.2p2, when the UseLogin feature is enabled and PAM is configured to read .pam_environment files in user home directories, allows local users to gain privileges by triggering a crafted environment for the /bin/login program, as demonstrated by an LD_PRELOAD environment variable.
SourceCVE (at NVD; CERT, LWN, oss-sec, fulldisc, bugtraq, EDB, Metasploit, Red Hat, Ubuntu, Gentoo, SuSE, Mageia, GitHub code/issues, web search, more)
ReferencesDSA-3550-1
NVD severityhigh (attack range: local)

Vulnerable and fixed packages

The table below lists information on source packages.

Source PackageReleaseVersionStatus
openssh (PTS)wheezy1:6.0p1-4+deb7u4fixed
wheezy (security)1:6.0p1-4+deb7u6fixed
jessie1:6.7p1-5+deb8u4fixed
jessie (security)1:6.7p1-5+deb8u3fixed
stretch1:7.4p1-10+deb9u2fixed
buster, sid1:7.6p1-2fixed

The information below is based on the following data on fixed versions.

PackageTypeReleaseFixed VersionUrgencyOriginDebian Bugs
opensshsource(unstable)1:7.2p2-3high
opensshsourcejessie1:6.7p1-5+deb8u2highDSA-3550-1
opensshsourcewheezy1:6.0p1-4+deb7u4highDSA-3550-1

Notes

Upstream fix: https://anongit.mindrot.org/openssh.git/commit/?id=85bdcd7c92fe7ff133bbc4e10a65c91810f88755

Search for package or bug name: Reporting problems